<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauen

	 safe_query( "update cssl set crt = '', privatekey = '', csr = '', loeschen = 1 where kunde = ?  and anbieter = ? ", TRUE, new SQLString( $kunde ), new SQLString( $PHP_AUTH_USER ) );
	 $id = safe_query( "select domain from domains where cssl=1 and kunde = ?  and anbieter = ? ", TRUE, new SQLString( $kunde ), new SQLString( $PHP_AUTH_USER ) );
	 $werte = db_fetch_array($id);
	 $altedomain = $werte["domain"];
	 fpalias_aendern($altedomain, "loeschen", $kunde); # ok
	 safe_query( "update domains set cssl='0' where kunde = ?  and anbieter = ? ", TRUE, new SQLString( $kunde ), new SQLString( $PHP_AUTH_USER ) );
	 fpalias_aendern($altedomain, "anlegen", $kunde); #ok
	 safe_query( "update allgemein set httpd='1', cssl='1'", TRUE );
	 $fehlertext = ltext("kusslo_error1",array($domain));

$fehlertitel = ltext("kusslo_errortitle");
db_close();
include("kunden_ssl.php");
?>
